package net.chlup.myshare;

import java.net.MalformedURLException;
import java.net.URL;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;

public class myshare extends Activity {

   /* Prefs */
   Preferences prefs;
   URL target_url;

   /** Called when the activity is first created. */
   @Override
   public void onCreate(Bundle savedInstanceState) {
      super.onCreate(savedInstanceState);
      setContentView(R.layout.main);

      /* Get prefs */
      this.prefs = new Preferences(this);
      this.prefs.load();

      /* Set URL */
      this.target_url = null;
      try {
         this.target_url = new URL(this.prefs.target_url);
      }
      catch (MalformedURLException e) {
         Log.e(this.getClass().getName(), e.toString());
         this.target_url = null;
      }

   }

   @Override
   protected void onStart()   {
      super.onStart();

      if(this.target_url != null) {

         Intent intent = getIntent();
         Bundle extras = intent.getExtras();
         String action = intent.getAction();

         if (Intent.ACTION_SEND.equals(action) || Intent.ACTION_SEND_MULTIPLE.equals(action)) {
            Intent intentservice=new Intent(this, myshareservice.class);
            intentservice.setAction(action);
            intentservice.putExtras(extras);
            intentservice.putExtra("MYSHARE_TYPETAG","notag"); // pridavam info, ze nechci posilat v preferences definovane znacky (tagy)
            startService(intentservice);
            this.finish();
         }

      }

   }

   @Override
   public boolean onCreateOptionsMenu(Menu menu) {
      menu.add(0, 100, 100, R.string.mainSettings).setIcon(
            android.R.drawable.ic_menu_preferences);
      return true;
   }
   @Override
   public boolean onOptionsItemSelected(MenuItem item) {
      switch (item.getItemId()) {
      case 100:
         Intent prefA = new Intent(this, PreferencesActivity.class);
         startActivityForResult(prefA, 0);
         break;
      }

      return true;
   }
   @Override
   public void onActivityResult(int req, int res, Intent i) {
      this.prefs.load();
   }

}
